%define module		cElementTree
%define name		python-celementtree
%define version		1.0.5
%define date_version	20051216

Name: 		%{name}
Version: 	%{version}
%define subrel 3
Release: 	%mkrel 3
Summary:        Add-on to the standard ElementTree package
Group: 		Development/Python
License:	Python license
URL:            http://effbot.org/zone/element-index.htm
Source0:        http://effbot.org/downloads/%{module}-%{version}-%{date_version}.tar.bz2
Patch0:		cElementTree-1.0.5-20051216-CVE-2009-XXXX.diff
Patch1:		cElementTree-1.0.5-20051216-CVE-2009-3560.diff
Requires:	python-elementtree
%py_requires -d
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This is an add-on to the standard ElementTree package, which adds a very fast
and memory-efficient alternative implementation of the ElementTree API.

%prep
%setup -q -n %{module}-%{version}-%{date_version}
%patch0 -p0 -b .CVE-2009-XXXX
%patch1 -p0 -b .CVE-2009-3560

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} --record INSTALLED_FILES


%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc samples README* CHANGES*





%changelog
* Fri Jan 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-3.3mdv2009.1
- P1: security fix for CVE-2009-3560 (new patch. the old patch caused regressions)

* Thu Jan 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-3.2mdv2009.1
- P1: security fix related to CVE-2009-3560

* Sat Aug 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-3.1mdv2009.1
- P0: security fix related to CVE-2009-2625

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 1.0.5-3mdv2009.1
+ Revision: 319835
- rebuild for new python

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.5-2mdv2009.0
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-2mdv2008.0
+ Revision: 67516
- rebuild


* Fri Jan 05 2007 Michael Scherer <misc@mandriva.org> 1.0.5-1mdv2007.0
+ Revision: 104360
- update to 1.0.5
- use %%rel for mkrel

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-4mdv2007.1
+ Revision: 96892
- Rebuild against new python
- Rebuild for new python
- import python-celementtree-1.0.2-1mdk

